/* MacroListTableView */

#import <Cocoa/Cocoa.h>
#import	"MacroList.h"

#ifndef BC_MacroItemPboardType

#define		BC_MacroItemPboardType		@"MacroListPasteboardType"

#endif

@interface MacroListTableView : NSTableView
{
    IBOutlet NSTextField *statusString;

	MacroList			*tempMacro;
	BOOL				dirty;
}

- (IBAction)sort:(id)sender;
- (IBAction)newMacro:(id)sender;
- (IBAction)search:(id)sender;

- (void)setMacroList:(MacroList*)list;
- (void)releaseMacro;
- (void)mergeMacros:(MacroList*)list options:(BC_AppendSameMacroAction)action;
- (void)delKeyDown;
- (BOOL)isDirty;
- (MacroList*)macroList;

- (void)refleshStatus;

@end
