/* ProperNounsController */

#import <Cocoa/Cocoa.h>

@class	ProperNounTableView, PrefsController;

@interface ProperNounsController : NSObject
{
    IBOutlet NSPanel *properNounsSheet;
    IBOutlet ProperNounTableView *tableNouns;
    IBOutlet NSPopUpButton *popupCategory;
    IBOutlet NSWindow *windowForSheet;
    IBOutlet NSButton *buttonOK;
    IBOutlet NSButton *buttonImport;
    IBOutlet NSButton *buttonExport;
	
	BOOL				dirty;
	NSMutableArray		*tempProperList, *tempLongList, *tempShortList;
	NSMutableArray		*currentList;
	int					currentCategory;
}
- (IBAction)ok:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)export:(id)sender;
- (IBAction)import:(id)sender;
- (IBAction)listSelectionChanged:(id)sender;

- (IBAction)delKeyDown:(id)sender;

+ (void)editProperNouns:(NSArray*)properList longConjunctions:(NSArray*)longList
			shortNormals:(NSArray*)shortList prefController:(PrefsController*)prefController;
- (void)editProperNouns:(NSArray*)properList longConjunctions:(NSArray*)longList
			shortNormals:(NSArray*)shortList prefController:(PrefsController*)prefController;

@end
