/* SmartPropertyController */

#import <Cocoa/Cocoa.h>
#import	"SmartLibrary.h"

@interface SmartPropertyController : NSObject
{
    IBOutlet NSTextField *stringDescription;
    IBOutlet NSPopUpButton *popupTarget;
    IBOutlet NSPopUpButton *popupAndOr;
    IBOutlet NSPopUpButton *popupUpdate;
    IBOutlet NSBox *boxConditions;
    IBOutlet NSButton *buttonOK;
    IBOutlet NSButton *buttonCancel;

    IBOutlet NSPopUpButton *popupField_01;
    IBOutlet NSPopUpButton *popupField_02;
    IBOutlet NSPopUpButton *popupField_03;
    IBOutlet NSPopUpButton *popupField_04;
    IBOutlet NSPopUpButton *popupField_05;
    IBOutlet NSPopUpButton *popupField_06;
    IBOutlet NSPopUpButton *popupField_07;
    IBOutlet NSPopUpButton *popupField_08;
    IBOutlet NSPopUpButton *popupField_09;
    IBOutlet NSPopUpButton *popupField_10;
    IBOutlet NSPopUpButton *popupField_11;
    IBOutlet NSPopUpButton *popupField_12;
    IBOutlet NSPopUpButton *popupField_13;
    IBOutlet NSPopUpButton *popupField_14;
    IBOutlet NSPopUpButton *popupField_15;
    IBOutlet NSPopUpButton *popupField_16;

    IBOutlet NSPopUpButton *popupCond_01;
    IBOutlet NSPopUpButton *popupCond_02;
    IBOutlet NSPopUpButton *popupCond_03;
    IBOutlet NSPopUpButton *popupCond_04;
    IBOutlet NSPopUpButton *popupCond_05;
    IBOutlet NSPopUpButton *popupCond_06;
    IBOutlet NSPopUpButton *popupCond_07;
    IBOutlet NSPopUpButton *popupCond_08;
    IBOutlet NSPopUpButton *popupCond_09;
    IBOutlet NSPopUpButton *popupCond_10;
    IBOutlet NSPopUpButton *popupCond_11;
    IBOutlet NSPopUpButton *popupCond_12;
    IBOutlet NSPopUpButton *popupCond_13;
    IBOutlet NSPopUpButton *popupCond_14;
    IBOutlet NSPopUpButton *popupCond_15;
    IBOutlet NSPopUpButton *popupCond_16;

    IBOutlet NSTextField *stringSearch_01;
    IBOutlet NSTextField *stringSearch_02;
    IBOutlet NSTextField *stringSearch_03;
    IBOutlet NSTextField *stringSearch_04;
    IBOutlet NSTextField *stringSearch_05;
    IBOutlet NSTextField *stringSearch_06;
    IBOutlet NSTextField *stringSearch_07;
    IBOutlet NSTextField *stringSearch_08;
    IBOutlet NSTextField *stringSearch_09;
    IBOutlet NSTextField *stringSearch_10;
    IBOutlet NSTextField *stringSearch_11;
    IBOutlet NSTextField *stringSearch_12;
    IBOutlet NSTextField *stringSearch_13;
    IBOutlet NSTextField *stringSearch_14;
    IBOutlet NSTextField *stringSearch_15;
    IBOutlet NSTextField *stringSearch_16;

    IBOutlet NSButton *checkCase_01;
    IBOutlet NSButton *checkCase_02;
    IBOutlet NSButton *checkCase_03;
    IBOutlet NSButton *checkCase_04;
    IBOutlet NSButton *checkCase_05;
    IBOutlet NSButton *checkCase_06;
    IBOutlet NSButton *checkCase_07;
    IBOutlet NSButton *checkCase_08;
    IBOutlet NSButton *checkCase_09;
    IBOutlet NSButton *checkCase_10;
    IBOutlet NSButton *checkCase_11;
    IBOutlet NSButton *checkCase_12;
    IBOutlet NSButton *checkCase_13;
    IBOutlet NSButton *checkCase_14;
    IBOutlet NSButton *checkCase_15;
    IBOutlet NSButton *checkCase_16;
	
    IBOutlet NSButton *buttonDel_01;
    IBOutlet NSButton *buttonDel_02;
    IBOutlet NSButton *buttonDel_03;
    IBOutlet NSButton *buttonDel_04;
    IBOutlet NSButton *buttonDel_05;
    IBOutlet NSButton *buttonDel_06;
    IBOutlet NSButton *buttonDel_07;
    IBOutlet NSButton *buttonDel_08;
    IBOutlet NSButton *buttonDel_09;
    IBOutlet NSButton *buttonDel_10;
    IBOutlet NSButton *buttonDel_11;
    IBOutlet NSButton *buttonDel_12;
    IBOutlet NSButton *buttonDel_13;
    IBOutlet NSButton *buttonDel_14;
    IBOutlet NSButton *buttonDel_15;
    IBOutlet NSButton *buttonDel_16;

    IBOutlet NSButton *buttonAdd_01;
    IBOutlet NSButton *buttonAdd_02;
    IBOutlet NSButton *buttonAdd_03;
    IBOutlet NSButton *buttonAdd_04;
    IBOutlet NSButton *buttonAdd_05;
    IBOutlet NSButton *buttonAdd_06;
    IBOutlet NSButton *buttonAdd_07;
    IBOutlet NSButton *buttonAdd_08;
    IBOutlet NSButton *buttonAdd_09;
    IBOutlet NSButton *buttonAdd_10;
    IBOutlet NSButton *buttonAdd_11;
    IBOutlet NSButton *buttonAdd_12;
    IBOutlet NSButton *buttonAdd_13;
    IBOutlet NSButton *buttonAdd_14;
    IBOutlet NSButton *buttonAdd_15;
    IBOutlet NSButton *buttonAdd_16;

    IBOutlet NSPanel *propertyPanel;
    IBOutlet NSWindow *windowForSheet;
	
	NSArray	*popupFields;
	NSArray	*popupConditions;
	NSArray	*stringSearches;
	NSArray	*checkCases;
	NSArray	*buttonAdds;
	NSArray	*buttonDels;
	
	SmartLibraryProperties	*currentProperties;
	NSMutableArray			*tempConditions;
	
	NSArray			*databases;
	NSMutableArray	*dbIdList;
	
	BOOL			identicalSearch;
}

- (IBAction)ok:(id)sender;
- (IBAction)cancel:(id)sender;
- (IBAction)fieldChoiceChenged:(id)sender;
- (IBAction)conditionChoiceChenged:(id)sender;
- (IBAction)addNewCondition:(id)sender;
- (IBAction)removeCondition:(id)sender;

+ (void)openPropertyWith:(SmartLibraryProperties*)library;
- (void)editPropertyWith:(SmartLibraryProperties*)library;

- (void)setConditions;
- (void)getCurrentConditions;
- (void)setAddButtonsEnable:(BOOL)enable;
- (void)setDelButtonsEnable:(BOOL)enable;
- (void)resizeBox;

- (void)setCondition:(NSPopUpButton*)popupCond enabled:(BOOL)enabled
				from:(BC_SearchCondition)from to:(BC_SearchCondition)to;

@end
