//
//  TextEncodings.h
//  BibCompanion
//
//  Created by Hitoshi Nakahara on 05/02/06.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface TextEncodings : NSObject {
	NSMutableDictionary		*encodingList;
	NSMutableArray			*encodingNames;
}

+ (void)createGlobalObject;

- (void)initEncodingList;
+ (NSStringEncoding)encodingOfName:(NSString*)name;
- (NSStringEncoding)encodingOfName:(NSString*)name;
+ (NSString*)nameOfEncoding:(NSStringEncoding)encode;
+ (NSArray*)encodingNames;
- (NSArray*)encodingNames;

@end
